/******************************************************************************
  Target Script for Embedded Artists LPC2478 OEM Board.

  Copyright (c) 2007 Rowley Associates Limited.

  This file may be distributed under the terms of the License Agreement
  provided with this software.

  THIS FILE IS PROVIDED AS IS WITH NO WARRANTY OF ANY KIND, INCLUDING THE
  WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 ******************************************************************************/

function
Reset()
{
  TargetInterface.resetAndStop(1);
  TargetInterface.getICEBreakerRegister(5); /* Clear out Debug Comms Data */
}

function RAMReset()
{
  Reset();
  TargetInterface.pokeWord(0xE01FC040, 2); // MEMMAP
}

function FLASHReset()
{
  Reset();
  TargetInterface.pokeWord(0xE01FC040, 1); // MEMMAP
}

